function [x,A,nrDoFs] = FEM_coeff(c4n,n4e,n4sDb,f,Acoeff)
    N=size(c4n,1); d=size(c4n,2);
    b=zeros(N,1); x=zeros(N,1);
    nT=size(n4e,1);
    I=zeros(nT,d+1,d+1);
    J=zeros(nT,d+1,d+1);
    Aloc = zeros(nT,d+1,d+1);
    for j=1:size(n4e,1)
    	area=abs(det([ones(1,d+1);c4n(n4e(j,:),:)'])/factorial(d));
    	grads=[ones(1,d+1);c4n(n4e(j,:),:)']\[zeros(1,d);eye(d)];
        I(j,:,:) = repmat(n4e(j,:),d+1,1);
        J(j,:,:) = repmat(n4e(j,:)',1,d+1);
        mid4elem=zeros(1,d);
        for k=1:d+1
            mid4elem = mid4elem + c4n(n4e(j,k),:);
        end
        mid4elem = mid4elem/(d+1);
        Aloc(j,:,:) = area*Acoeff(mid4elem)* (grads*grads');
    	b(n4e(j,:))=b(n4e(j,:))+f(mid4elem)*ones(d+1,1)*area/(d+1); 
    end
    A = sparse(I(:),J(:),Aloc(:),N,N);
    freeNodes=setdiff(1:N,unique(n4sDb)); nrDoFs=length(freeNodes);
    x(freeNodes)=A(freeNodes,freeNodes)\b(freeNodes); 
end

